Update Leads
/unified/crm/leads/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
The lead's account
5 supported
The account's unique identifier
3 supported
The city
The country
The postal code
The state
Line 1 of the street address
Line 2 of the street address
The address type
The contact associated with the lead
5 supported
The contact's unique identifier
The lead's converted account
1 supported
The converted account's unique identifier
The lead's converted contact
1 supported
The converted contact's unique identifier
The date and time of the lead's creation
8 supported
All the custom fields present on the lead
6 supported
2 supported
5 supported
The email address
The email address type
primarysecondaryprimarysecondary
The lead's first name
4 supported
1 supported
The lead's last name
4 supported
The lead's source
AdvertisementEmployee ReferralExternal ReferralPartnerPublic RelationsSeminarTrade ShowWebWord of MouthOther
7 supported
AdvertisementEmployee ReferralExternal ReferralPartnerPublic RelationsSeminarTrade ShowWebWord of MouthOtherThe lead's type
1 supported
1 supported
1 supported
The lead's owner
8 supported
The lead's owner's unique identifier
4 supported
The phone number
The phone number type
workmobilefaxphonefaxphonefax
The extension of the phone number
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
The lead's status
attempted to contactnew leadcontactedunqualifiedqualifiednewworkingunqualified
4 supported
attempted to contactnew leadcontactedunqualifiedqualifiednewworkingunqualifiedThe lead's title
7 supported
1 supported
Response Body
The lead' unique identifier
8 supported
The lead's account
5 supported
The account's unique identifier
3 supported
The city
The country
The postal code
The state
Line 1 of the street address
Line 2 of the street address
The address type
The contact associated with the lead
5 supported
The contact's unique identifier
The lead's converted account
1 supported
The date and time of the lead's conversion
2 supported
The lead's converted contact
1 supported
The date and time of the lead's creation
8 supported
All the custom fields present on the lead
6 supported
5 supported
The email address
The email address type
The lead's first name
4 supported
The date and time of the lead's last activity
3 supported
The lead's last name
4 supported
The lead's source
7 supported
The lead's type
1 supported
The lead's owner
8 supported
The lead's owner's unique identifier
4 supported
The extension of the phone number
The phone number
The phone number type
Raw data returned from the remote API call.
The lead's status
4 supported
The lead's title
7 supported
The date and time of the lead's last update
8 supported
The lead's urls
3 supported
The lead's URL type
The lead's URL
curl -X PATCH 'https://api.truto.one/unified/crm/leads/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"first_name": "your_first_name",
"last_name": "your_last_name",
"owner": {},
"lead_source": "Advertisement",
"title": "your_title",
"account": {},
"contact": {},
"addresses": [],
"email_addresses": [],
"phone_numbers": [],
"lead_type": "your_lead_type",
"status": "attempted to contact",
"custom_fields": {},
"created_at": "your_created_at",
"converted_contact": {},
"converted_account": {},
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"first_name": "your_first_name",
"last_name": "your_last_name",
"owner": {},
"lead_source": "Advertisement",
"title": "your_title",
"account": {},
"contact": {},
"addresses": [],
"email_addresses": [],
"phone_numbers": [],
"lead_type": "your_lead_type",
"status": "attempted to contact",
"custom_fields": {},
"created_at": "your_created_at",
"converted_contact": {},
"converted_account": {},
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/crm/leads/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'PATCH',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/leads/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"first_name": "your_first_name",
"last_name": "your_last_name",
"owner": {},
"lead_source": "Advertisement",
"title": "your_title",
"account": {},
"contact": {},
"addresses": [],
"email_addresses": [],
"phone_numbers": [],
"lead_type": "your_lead_type",
"status": "attempted to contact",
"custom_fields": {},
"created_at": "your_created_at",
"converted_contact": {},
"converted_account": {},
"remote_data": {}
}
response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.update(
'crm',
'leads',
'<resource_id>',
{
"first_name": "your_first_name",
"last_name": "your_last_name",
"owner": {},
"lead_source": "Advertisement",
"title": "your_title",
"account": {},
"contact": {},
"addresses": [],
"email_addresses": [],
"phone_numbers": [],
"lead_type": "your_lead_type",
"status": "attempted to contact",
"custom_fields": {},
"created_at": "your_created_at",
"converted_contact": {},
"converted_account": {},
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.update(
"crm",
"leads",
"<resource_id>",
{
"first_name": "your_first_name",
"last_name": "your_last_name",
"owner": {},
"lead_source": "Advertisement",
"title": "your_title",
"account": {},
"contact": {},
"addresses": [],
"email_addresses": [],
"phone_numbers": [],
"lead_type": "your_lead_type",
"status": "attempted to contact",
"custom_fields": {},
"created_at": "your_created_at",
"converted_contact": {},
"converted_account": {},
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())